Bug 204266 - Improvement of 3. Translating Software
Improvement of 3. Translating Software
Product: Fedora Documentation
Classification: Fedora
Component: translation-quick-start-guide (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Manuel Ospina
A S Alam
: Translation
Depends On:
  Show dependency treegraph
Reported: 2006-08-27 20:38 EDT by Noriko Mizumoto
Modified: 2015-11-09 19:09 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-18 20:22:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Noriko Mizumoto 2006-08-27 20:38:54 EDT
Description of problem:
Important information of sync for software translation is missing.
Before starting software translation, it is important to sync own po with pot
file. It would be helpful if this procedure/information can be in the guide.


Version-Release number of selected component (if applicable):
translation-quick-start-guide-0.3.3 (2006-08-06) 

How reproducible:
Comment 1 Manuel Ospina 2006-09-17 20:23:07 EDT
New step added explaining how to sync the po file to reflect the latest pot file.
Comment 2 Manuel Ospina 2006-09-17 21:51:58 EDT
Built with no problems. Please proofread it.  
Comment 3 Noriko Mizumoto 2006-09-17 23:06:19 EDT
I've read through, and wonder if 'msgfmt -cvo /dev/null tmp.po' step can be also
added to make sure the file's integrity. In case this command return a sytax
error, then the translator can file a bug asking pkg maintainer to correct it
for all languages. 

How about this?;
3. Before start translating, make sure the .po file reflects the latest .pot.
Run the following command to syncronize your .po file: 

msgmerge lang.po package_name.pot > tmp.po (**currently it says tmp-file)

4. Check the integrity of it's file, run the following command.

msgfmt -cvo /dev/null tmp.po

5. Make sure no error message, then run the following command to overwrite
lang.po with tmp.po.

mv tmp.po lang.po

Note: If you get an error message, it may be required some correction in pot by
it's package maintainer. You can file a bug against that package asking for
correction. In this case including a copy of the output from msgfmt in the bug
will help the package maintainer.

Manuel, please modify my bad english wherever necessary.

Comment 4 Manuel Ospina 2006-09-18 20:22:05 EDT
Added. I didn't include the note as msgfmt doesn't check the pot file only the
po file.

Note You need to log in before you can comment on or make changes to this bug.